//
// Extened cartoon rendering fragment shader, LOA - edge
//

varying	vec3 l;
varying	vec3 h;
varying vec3 v;
varying vec3 n;
uniform sampler2D	toonMap;

void main (void)
{
	const vec4	diffColor = vec4 ( 0.5, 0.0, 0.0, 1.0 );
	const vec4	specColor = vec4 ( 0.7, 0.7, 0.0, 1.0 );
	const float	specPower = 10.0;
	const float	edgePower = 3.0;

	vec3	n2   = normalize ( n );
	vec3	l2   = normalize ( l );
	vec3	h2   = normalize ( h );
	vec3	v2   = normalize ( v );
	float	diff = 0.1 + max ( dot ( n2, l2 ), 0.0 );
	float	spec = pow ( max ( dot ( n2, h2 ), 0.0 ), specPower );
	float	edge = pow ( abs ( dot ( n2, v2 ) ), edgePower );

	gl_FragColor = texture2D ( toonMap, vec2 ( diff, edge ) );
}
